

.chat-content {
    height: 602px;
    display: none;
    visibility: hidden;
    opacity: 0;
    transition: visibility 0s, opacity 0.5s linear;
}
.opened .chat-content {
    display: block;
    background: #ffffff;
    visibility: visible;
    opacity: 1;
    /*transition: 0.3s ease-in-out;
    -webkit-transition: 0.3s ease-in-out;
    -moz-transition: 0.3s ease-in-out;
    -ms-ransition:0.3s ease-in-out;*/
}

.chat-loader {
    height: 602px;
    line-height: 602px;
    text-align: center;
}

.opened .chat-topbar {
    position: absolute;
    width: 40px;
    right: 0;
    top: 0;
    opacity: 0;
}
.opened .chat-topbar #toggle-fixed-chat{
    display: none;
}

.chat-loader md-progress-circular{
    display: inline-block;
}

.video-chat-wrap{
    position: relative;
    margin-bottom: 60px;
    z-index: 1;
    width: 100%;
}
.fixed-chat *{box-sizing: border-box;}
.video-chat-wrap:after{
    content: '';
    display: block;
    clear: both;
}
.video-chat-wrap .video-girl{

}
.video-chat-wrap .chat-girl{
    /* width: calc(100% - 846px);*/
    /* width:310px;*/
    width:26.72%;
    float: right;
    background: #556e78;
    height: 100%;
    position: absolute;
    right: 0;
    top:0;

}
.video-chat-wrap .video-girl iframe{
    display: inline-block;
    vertical-align: top;
}
.videoWrapper {
    position: relative;
}


.chat-heading{
    /* padding: 20px;*/
    padding: 12px 15px;
    border-bottom: 1px solid #6c8690;
    position: relative;
}
.chating-wrap{
    /* padding: 20px;*/
    padding: 15px;
}
.round-photo {
    float: left;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    overflow: hidden;
}
.chat-name-status{
    margin-left: 55px;
}
.chat-name-status p{
    font-size: 18px;
    font-weight: 300;
    line-height: 21px;
    max-width: calc(100% - 85px);
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.chat-name-status span{
    font-size: 12px;
    color:#fff;
}
.msg-header{
    margin-bottom: 4px;
    font-weight: 300;
}
.msg-header time{
    font-size: 11px;
    float: right;
    color: #6f6d6d;
    margin-top: 3px;
}
.msg-text{
    font-size: 13px;
    font-weight: 300;
    line-height: 17px;
    color:#ffffff;
}
.your-message,.her-message{
    margin-bottom: 15px;
}
.your-message .your-name{
    color:#2b934f;
    font-size: 13px;
}
.her-message .her-name{
    color:#ffc100;
    font-size: 13px;
}
#chating-scroll{
    position: relative;
    height: calc(100% - 136px);
}

.chat-types-tabs:after{
    content: '';
    display: block;
    position: absolute;
    bottom:-36px;
    left:0;
    width: 100%;
    height: 35px;
    z-index: 1;
    /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#556e78+0,556e78+100&1+0,0+100 */
    background: -moz-linear-gradient(top,  rgba(41, 41, 41, 1) 0%, rgba(41, 41, 41, 0) 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(top,  rgba(41, 41, 41, 1) 0%,rgba(41, 41, 41, 0) 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom,  rgba(41, 41, 41, 1) 0%,rgba(41, 41, 41, 0) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#292929', endColorstr='#00292929',GradientType=0 ); /* IE6-9 */
}

.chat-types-tabs{
    position: relative;
    background: #292929;
    border-bottom: 1px solid #464646;
    font-size: 0;
}
.chat-types-tabs .tab-item{
    display: inline-block;
    width: 50%;
    text-align: center;
    padding: 8px 10px;
    font-size: 13px;
    cursor: pointer;
    color:#ffffff;
    transition: 0.3s ease-in-out;
    -webkit-transition: 0.3s ease-in-out;
    -moz-transition: 0.3s ease-in-out;
    -ms-ransition:0.3s ease-in-out;
    box-sizing: border-box;
    color: #a4afb3;
}
.chat-types-tabs .tab-item:hover{
    background: #50666f;
}
.chat-types-tabs .tab-item.active
{
    background: #383838;
    color: #fff;
}
.chat-types-tabs .tab-item i{
    opacity: 0.5;
}
.chat-types-tabs .tab-item.active i{
    opacity: 1;
}
i.private{
    display: inline-block;
    background: url('/assets/img/main/chat-icons.png') no-repeat 0 0;
    width: 11px;
    height: 14px;
    margin-right: 5px;
    vertical-align: -2px;
}
i.group{
    display: inline-block;
    background: url('/assets/img/main/chat-icons.png') no-repeat -15px 0;
    width: 19px;
    height: 14px;
    margin-right: 5px;
    vertical-align: -2px;
}
.typing-area{
    height: 50px;
    width: 100%;
    position: absolute;
    bottom:0;
    left:0;
    background: #fff;
    z-index: 2;
}
.typing-area input[type="text"]{
    width: 100%;
    height: 25px;
    border: none;
    outline: none;
    background: #fff;
    box-sizing: border-box;
    padding:2px 15px;
    font-size: 14px;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
    border-radius: 0;
    font-weight: 400;
    -webkit-appearance: none;
    overflow: hidden;
}
.typing-area textarea{
    width: 100%;
    height: 100%;
    border: none;
    outline: none;
    background: #fff;
    resize: none;
    box-sizing: border-box;
    /* padding: 20px;*/
    padding:17px 15px;
    font-size: 14px;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
    padding-right: 55px;
    border-radius: 0;
    -webkit-appearance: none;
    overflow: hidden;
    font-weight: 400;
}
.typing-area .send-enter{
    position: absolute;
    border: none;
    outline: none;
    background: url(../img/enter.png) center center no-repeat;
    -webkit-appearance: none;
    -moz-appearance: none;
    bottom: 13px;
    right: 14px;
    width: 19px;
    height: 21px;
    cursor: pointer;
}
.typing-area label{
    font-size: 13px;
    color: #727889;
    padding: 8px 15px 0 15px;
    line-height: 12px;
    display: block;
    font-weight: 400;
}
.typing-area.guest{
    padding-right: 70px;
}
.typing-area  .save-name{
    position: absolute;
    border: none;
    outline: none;
    background: #2b934f;
    -webkit-appearance: none;
    -moz-appearance: none;
    bottom: 0;
    right: 0;
    width: 70px;
    font-size: 14px;
    height: 100%;
    color: #fff;
    cursor: pointer;
    border-radius: 0;
    box-shadow: none;
}
.typing-area  .save-name:hover{
    background:#2da958;
}
.fixed-chat.opened{
    bottom: 0;
    width: 410px;
    box-shadow: 0 5px 35px rgba(0, 0, 0, 0.33);
}
.fixed-chat.visible{
    visibility: visible;
    opacity: 1;
}
.fixed-chat{
    max-height: 600px;
    position: fixed;
    z-index: 100;
    /*bottom: -406px;*/
    bottom: 0;
    right: 0;
    width: 200px;
    background: #292929;
    /*height: 446px;*/
    /*transition: 0.3s ease-in-out;
    -webkit-transition: 0.3s ease-in-out;
    -moz-transition: 0.3s ease-in-out;
    -ms-ransition:0.3s ease-in-out;*/
}
.fixed-chat .chat-girl{
    height: 100%;
}
#chating-scroll2 {
    position: relative;
    height: calc(100% - 280px);
}
.chat-topbar{
    height: 40px;
    background: #292929;
    position: relative;
    z-index: 2;
    font-size: 0;
    cursor: pointer;
}
.chat-topbar .left{
    font-size: 16px;
    padding: 10px 15px;
    color:#fff;
}
#toggle-fixed-chat{
    position: relative;
    z-index: 3;
    padding-right: 40px;
    height: 40px;
}
.chat-topbar .right{float: right;}
.chat-topbar .left{float: left;}
.fixed-chat.opened .close-chat{z-index: 4;}
.chat-topbar .close-chat{
    position: absolute;
    right: 0;
    top: 0;
}
.close-chat{
    width: 40px;
    height: 40px;
    background: #383838;
    display: inline-block;
    vertical-align: top;
    position: relative;
    cursor: pointer;
    border-left: 1px solid #464646;
}
.close-chat i{
    display: block;
    background: url('/assets/img/main/chatbar-fix-nav.png') no-repeat 0 0;
    width: 12px;
    height: 12px;
    position: absolute;
    left:50%;
    top:50%;
    margin-left: -6px;
    margin-top: -6px;
}
.opened .close-chat i{
    background: url('/assets/img/main/chatbar-fix-nav.png') no-repeat -19px 0;
}
.indicate{
    display: inline-block;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background: #ccc;
    vertical-align: 1px;
    margin-right: 7px;
    animation: flash 2.5s infinite;
    -webkit-animation: flash 2.5s infinite;
    -moz-animation: flash 2.5s infinite;
}
.indicate.online{
    background: #76d03a;
}
.indicate.offline{
    background: #f75b16;
}
.video-girl-fixed {
    height: 158px;
}
.video-girl-fixed iframe{
    width: 280px !important;
    height: 158px !important;
}
.opened .fix-chat-name{
    display: block;
}
.fix-chat-name{
    float: left;
    font-size: 13px;
    padding: 10px 15px;
    color:#fff;
    max-width: 160px;
    white-space: nowrap;
    display: none;
}
.fix-chat-name p{
    text-overflow: ellipsis;
    overflow: hidden;
}
.tips {
    display: inline-block;
    vertical-align: middle;
    height: 40px;
    padding: 12px 12px 0 0;
    opacity: 0;
    visibility: hidden;
    transition: 0.3s ease-in-out;
    -webkit-transition: 0.3s ease-in-out;
}
.opened .tips{
    opacity: 1;
    visibility: visible;
}


/*---volume---*/

.video-controls{
    position: absolute;
    bottom:0;
    left:0;
    width: 100%;
    padding:40px 15px 15px;
    /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#000000+0,000000+100&0+0,0.65+100 */
    background: -moz-linear-gradient(top,  rgba(0,0,0,0) 0%, rgba(0,0,0,0.65) 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba(0,0,0,0.65) 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom,  rgba(0,0,0,0) 0%,rgba(0,0,0,0.65) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00000000', endColorstr='#a6000000',GradientType=0 ); /* IE6-9 */
    opacity: 0;
    visibility: hidden;
    transition: 0.3s ease-in-out;
    -webkit-transition: 0.3s ease-in-out;
    -moz-transition: 0.3s ease-in-out;
    -ms-transition: 0.3s ease-in-out;
}
.videoWrapper:hover .video-controls{
    opacity: 1;
    visibility: visible;
}
.videoWrapper:hover .video-volume{
    transform: translateY(0px);
    -webkit-transform: translateY(0px);
    -moz-transform: translateY(0px);
    -ms-transform: translateY(0px);
    opacity: 1;
    visibility: visible;
}
.video-volume{
    transform: translateY(20px);
    -webkit-transform: translateY(20px);
    -moz-transform: translateY(20px);
    -ms-transform: translateY(20px);
    opacity: 0;
    visibility: hidden;
    transition: 0.3s ease-in-out;
    -webkit-transition: 0.3s ease-in-out;
    -moz-transition: 0.3s ease-in-out;
    -ms-transition: 0.3s ease-in-out;
}
.volume-icon {
    width: 24px;
    height: 21px;
    display: inline-block;
    vertical-align: middle;
    background-size: 24px 41px !important;
    margin-right: 2px;
}
.off .volume-icon{
    background: url('../img/video-controls.svg') no-repeat 0 2px;
}
.on .volume-icon{
    background: url('../img/video-controls.svg') no-repeat 0 -20px;
}
.volume-line{
    width: 80px;
    height: 4px;
    border-radius: 2px;
    display: inline-block;
    background: rgba(255,255,255,0.6);
    vertical-align: middle;
    position: relative;
}
.volume-line .vol-covered{
    position: absolute;
    width: 50px;
    height: 4px;
    border-radius: 3px;
    display:block;
    background: #fff;
    left:0;
    top:0;
}
.volume-line .vol-dragger{
    display: block;
    width: 12px;
    height: 12px;
    background: #fff;
    border-radius: 50%;
    position: absolute;
    left:45px;
    top:50%;
    margin-top: -6px;
    cursor:pointer;
}



.change-manager{
    font-size: 12px;
    float: right;
    margin-top: 5px;
    line-height: 14px;
    cursor: pointer;
    position: relative;
    z-index: 2;
}
.change-manager .text{
    display: inline-block;
    vertical-align: middle;
}
.change-manager:hover i{
    transform: rotate(180deg);
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
}
.change-manager:hover .text{
    opacity: 0.8;
}
.girls-list.ui.dropdown{
    display: block;
    padding-top: 2px;
}
.girls-list.ui.dropdown > .text{
    overflow: hidden;
    text-overflow:ellipsis;
    white-space: nowrap;
    vertical-align: top;
}
.girls-list.ui.dropdown > .dropdown.icon{
    vertical-align: middle;
}
.girls-list.ui.dropdown > .dropdown.icon:before{
    border-top-color: #a3aeb2;
    vertical-align: 4px;
}
.chat-name-status.with-dropdown{
    margin-left: 0;
    display: inline-block;
    white-space: nowrap;
}
.chat-name-status.with-dropdown .round-photo {
    margin-right: 8px;
}
.girls-list.ui.dropdown .menu > .item .round-photo {
    width: 30px;
    height: 30px;
    float: none;
    display: inline-block;
    vertical-align: middle;
    margin-right: 5px;
}
.girls-list.ui.dropdown .menu > .item .round-photo img{
    max-width: 100%;
}
.girls-list.ui.dropdown .menu {
    left: 0px;
    margin-left: 3px;
    margin-top: 1.714286rem;
    background: #ffc100;
}
.girls-list.ui.dropdown .menu > .item{
    font-size: 13px;
    padding: 10px 20px!important;
}
.girls-list.ui.pointing.dropdown > .menu:after {
    margin: 0em 0em 0em -2.25em;
    background:#ffc100;
}

.video-girl{overflow: hidden;    width: 100%;}
.girls-panel.opened{right:0;}
.girls-panel{position: absolute;right:-200px;top:0;height: 100%;overflow: auto;z-index: 22;width: 175px;padding-right:8px;background:rgba(32, 54, 73, 0.65);
    transition: 0.3s ease-in-out;
    -webkit-transition: 0.3s ease-in-out;
    -moz-transition: 0.3s ease-in-out;}
.gp-item {padding:10px;cursor: pointer;
    transition: 0.3s ease-in-out;
    -webkit-transition: 0.3s ease-in-out;
    -moz-transition: 0.3s ease-in-out;}
.gp-item:hover{background:rgba(22, 26, 29, 0.15);}
.gp-item img{margin-bottom: 5px;max-width: 100%;}
.panel-toggle{
    width: 38px;
    height: 38px;
    border-radius:50%;
    background:rgba(35, 40, 52, 0.3);
    position: absolute;
    right:15px;
    top:14px;
    text-align: center;
    padding-top: 8px;
    cursor: pointer;
    transition: 0.3s ease-in-out;
    -webkit-transition: 0.3s ease-in-out;
    -moz-transition: 0.3s ease-in-out;
    z-index: 3;
}
.panel-toggle:hover{background: rgba(35, 40, 52, 0.5);}
.panel-toggle.opened{right: 203px;transform: rotate(180deg);-webkit-transform: rotate(180deg);-moz-transform: rotate(180deg);}
.girls-panel.ps-container > .ps-scrollbar-y-rail{
    opacity: 1;
    width: 8px;
    background: rgba(0, 0, 0, 0.26);
    border-radius: 0;
    right: 0 !important;
    min-height: 100%;
}
.girls-panel.ps-container > .ps-scrollbar-y-rail > .ps-scrollbar-y{
    right: 1px;
    width: 6px;
    background-color: rgba(255, 255, 255, 0.35);
    border-radius: 4px;
    min-height: 50px;
}
.girls-panel.ps-container.ps-in-scrolling.ps-y > .ps-scrollbar-y-rail {
    background-color: rgba(0, 0, 0, 0.46);
    opacity: 0.9;
}
.girls-panel.ps-container.ps-in-scrolling.ps-y > .ps-scrollbar-y-rail > .ps-scrollbar-y {
    background-color: rgba(255, 255, 255, 0.55);
}
/*fullpage chat*/
.video-chat-wrap.fullpage-chat{height: 100%;max-width: 768px;margin: 0 auto;}
.video-chat-wrap.fullpage-chat .video-girl.videoWrapper {width: 100%;}
.video-chat-wrap.fullpage-chat .chat-girl {width: 100%;position: relative;height: 350px;min-height:350px !important;}
.back-chat{display: block;background:rgba(37, 151, 199, 0.85);color:#fff;text-decoration: none;padding: 5px 10px;height: 30px;position: absolute;z-index: 2;top: 10px;left: 10px;border-radius: 15px;}
.video-swiper .slick-list{height: auto;}
.slick-slide img{max-height: none !important;}
.video-chat-wrap.fullpage-chat .typing-area textarea{display: block;}
.chat-gif{display: none;}
/*.first_one.mobile_one{display: none;}*/
.video-chat-wrap.fullpage-chat .panel-toggle{top: 10px;right: 10px;}


@media (max-width: 1160px){

    .video-chat-wrap{
        margin-bottom: 50px;
    }
}
@media (max-width: 959px){
    .video-girl.videoWrapper{
        width: 100%;
    }
    .video-chat-wrap .chat-girl{
        width: 100%;
        position: relative;
        height: 350px;
    }
    .fixed-chat.opened{
        z-index: 999;
        height: 100%;
        max-height: 600px;
    }
}

@media (max-width: 680px){
    .fixed-chat.opened{
        z-index: 999;
        height: 100%;
        max-height: 100%;
        width: 100%;
    }
    .video-girl-fixed{height: auto;}

    .girls-panel{width: 120px;right:-130px;}
    .gp-item p{font-size: 14px;}
    .gp-item .status{font-size: 12px;}
    .panel-toggle.opened{right: 135px;}
    .video-chat-wrap.fullpage-chat .panel-toggle.opened {right: 130px;}
    .video-chat-wrap .chat-girl {min-height: 66vh;}
    .chat-heading{display: none;}
    #chating-scroll {height: calc(100% - 83px);}
    .video-controls {padding: 20px 20px 20px;}
    /*.first_one{display: none;}*/
    .first_one.mobile_one{display:block;}
    .click_start{
        display: block;
        position: absolute;
        font-size: 18px;
        line-height: 20px;
        color: #FFF;
        background: #f7495c;
        padding: 10px 10px;
        border-radius: 40px;
        width: 260px;
        text-align: center;
        left: 50%;
        margin-left: -130px;
        top: 25%;
        margin-top: -33px;
        transition: 0.2s ease;
        -webkit-transition: 0.2s ease;
    }
    .chat-gif a:hover .click_start{background:#e84456;}
    .chat-gif{padding: 0;display: block;}
    .chat-gif img{vertical-align: top;}
    .chat-gif a{display: inline-block;vertical-align: top;position: relative;cursor: pointer;}
    .first_one.mobile_one .flex .title{margin-top: 0;margin-bottom: 50px;}
}
@media (max-width: 655px){.first_one {padding-top: 55px}}
@media (max-width: 420px){
    .video-chat-wrap .chat-girl {min-height: 66vh;height: calc(100vh - 245px);}
}
@media (max-width: 380px){
    .video-chat-wrap .chat-girl {min-height: 55vh;height: calc(100vh - 225px);}
}
@media (max-width: 340px){
    .video-chat-wrap .chat-girl {min-height: 55vh;height: calc(100vh - 190px);}
}
